---
title: Window.window
slug: Web/API/Window/window
tags:
  - API
  - HTML DOM
  - NeedsExample
  - NeedsMarkupWork
  - Property
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <strong><code>window</code></strong> property of a {{domxref("Window")}} object points to the window object itself.</span> Thus, the following expressions all return the same window object:</p>

<pre class="brush: js">window.window
window.window.window
window.window.window.window
// ...
</pre>

<p>In web pages, the window object is also a <em>global object</em>. This means:</p>

<ol>
 <li>global variables of your script are in fact properties of <code>window</code>:

  <pre class="brush:js">var global = {data: 0};
alert(global === window.global); // displays "true"
</pre>
 </li>
 <li>you can access built-in properties of the window object without having to type <code>window.</code> prefix:
  <pre class="brush:js">setTimeout("alert('Hi!')", 50); // equivalent to using window.setTimeout.
alert(window === window.window); // displays "true"
</pre>
 </li>
</ol>

<p>The point of having the <code>window</code> property refer to the object itself, was likely to make it easy to refer to the global object. Otherwise, you'd have to do a manual <code>var window = this;</code> assignment at the top of your script.</p>

<p>Another reason, is that without this property you wouldn't be able to write, for example, "{{domxref("window.open","window.open('http://google.com/')")}}". You'd have to use "open('http://google.com/')" instead.</p>

<p>Yet another reason to use this property, is for libraries which wish to offer OOP-versions, and non-OOP versions (especially JavaScript modules). For example, if we refer to "this.window.location.href", a <a href="/en-US/docs/Mozilla/JavaScript_code_modules">JavaScript module</a> could define a property called "window" inside of a class it defined (since no global "window" variable exists for it by default) which could be created after passing in a window object to the module class' constructor.  Thus, "this.window" inside of its functions would refer to that window object. In the non-namespaced version, "this.window" would refer back to "window", and also be able to readily get the document location. Another advantage, is that the objects of such a class (even if the class were defined outside of a module) could change their reference to the window at will, they would not be able to do this if they had hard-coded a reference to "window". The default in the class could still be set as the current window object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-window', 'Window.window')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No difference from the latest snapshot {{SpecName("HTML5.1")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', 'browsers.html#dom-window', 'Window.window')}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td>No difference from the {{SpecName("HTML5 W3C")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'browsers.html#dom-window', 'Window.window')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>First snapshot containing the definition of <code>Window.window</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.window")}}</p>
